<#@ template language="C#" debug="False" hostSpecific="True"  #>

<#@ include file="LinqToDB.SqlServer.Tools.ttinclude" #>
<#@ include file="PluralizationService.ttinclude" #>
<#
    // IMPORTANT NOTE:
    // All strings enclosed in "<%= %>" and //<%= %> are replaceable tokens for Reegenerator
    // and will be replaced when this file's custom tool is run.

    string databaseServer = @"<%= DatabaseServer %>";
    string databaseCatalog = @"<%= DatabaseCatalog %>";

    NamespaceName = "<%= NamespaceName %>";

    DataContextName = "UnitOfWork";
    GenerateConstructors = false;
    GenerateDataTypes = true;
    GenerateAssociations = true;

    // Exclude some stored procedures
    var excludedProcedures = new HashSet<string> {
        //<%= ExcludedProcedures %>
    };
    GetSchemaOptions.LoadProcedure = (schema) => !excludedProcedures.Contains(schema.ProcedureName);

    // Load the LinqToDB schemas
    LoadSqlServerMetadata(databaseServer, databaseCatalog);

    // Add the "Entity" suffix to all table type names
    foreach (Table t in Tables.Values) {
        t.TypeName = t.TypeName + "Entity";
    }

    GenerateModel();
#>
